package com.jiayue.insu.incloud.service;

import cn.hutool.json.JSONObject;
import com.jiayue.insu.incloud.entity.Station;

import java.io.File;

/**
 * 预测数据业务接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface MinIoService {

    /**
     * 从minIo下载文件
     *
     * @param station
     * @param type
     * @param startTime
     * @param endTime
     * @param errMsg
     * @return
     */
    File downLoadFileFromMinIo(Station station, String type, String startTime, String endTime, JSONObject errMsg);

    /**
     * 从minIo下载文件后，回传状态
     *
     * @param stationCode
     * @param fileName
     * @param type
     * @param status
     */
    void postBackMinIoState(String stationCode, String fileName, String type, String status);
}
